> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# delete-tenant

> Archive a tenant.



## OpenAPI

````yaml /api-reference/membrane-api.json delete /tenants/{id}
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /tenants/{id}:
    delete:
      summary: delete-tenant
      description: Archive a tenant.
      operationId: deleteTenant
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: Tenant id or key.
      responses:
        '200':
          description: Archive a tenant.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````